QDARKSTYLE.UTILS(1)

NAME
qdarkstyle.utils - Script to process QRC files

DESCRIPTION
usage: qdarkstyle.utils [-h] [--qrc_dir QRC_DIR]

[--create {pyqt5,pyqt6,pyside2,pyside6,qtpy,pyqtgraph,qt,qt5,all}]
    [--watch]

Script to process QRC files (convert .qrc to _rc.py and .rcc).

The script will attempt to compile the qrc file using the following tools:

    - pyrcc4 for PyQt4 and PyQtGraph (Python) - pyrcc5 for PyQt5 and QtPy (Python) - pyside-rcc for PySide (Python) - pyside2-rcc for PySide2 (Python) - rcc for Qt4 and Qt5 (C++)

Delete the compiled files that you don't want to use manually after running this script.

Links to understand those tools:

    - pyrcc4: http://pyqt.sourceforge.net/Docs/PyQt4/resources.html#pyrcc4 - pyrcc5: http://pyqt.sourceforge.net/Docs/PyQt5/resources.html#pyrcc5 - pyside-rcc: https://www.mankier.com/1/pyside-rcc - pyside2-rcc: https://doc.qt.io/qtforpython/overviews/resources.html (Documentation Incomplete) - rcc on Qt4: http://doc.qt.io/archives/qt-4.8/rcc.html - rcc on Qt5: http://doc.qt.io/qt-5/rcc.html

  optional arguments:

-h, --help
    show this help message and exit

--qrc_dir QRC_DIR
    QRC file directory, relative to current directory.

--create {pyqt,pyqt5,pyside,pyside2,qtpy,pyqtgraph,qt,qt5,all}
    Choose which one would be generated.

--watch, -w
    Watch for file changes.